Page MenuHomePhabricator

Update UA parser
Closed, ResolvedPublic13 Story Points

Description

I think we should do this Q4, it will impact quality of data if we space updates too much.

Event Timeline

Nuria created this task.Mar 8 2018, 6:37 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMar 8 2018, 6:37 PM
Nuria edited projects, added Analytics-Kanban; removed Analytics.
Nuria edited projects, added Analytics; removed Analytics-Kanban.Mar 8 2018, 6:41 PM
Nuria triaged this task as High priority.Mar 28 2018, 10:44 PM
Nuria updated the task description. (Show Details)
Nuria set the point value for this task to 8.
Nuria moved this task from Smart Tools for Better Data to Blocked on the Analytics board.
Nuria moved this task from Blocked to Data Quality on the Analytics board.
Nuria assigned this task to fdans.
Nuria added a project: Analytics-Kanban.
Nuria added a comment.Apr 7 2018, 4:29 AM

Let's please test brave browser

Nuria moved this task from Parent Tasks to Next Up on the Analytics-Kanban board.Apr 7 2018, 4:29 AM
Nuria added a comment.Apr 7 2018, 4:33 AM

We need to update the java version used in refinery: https://github.com/ua-parser/uap-java and teh python version used in EL: https://github.com/ua-parser/uap-python

Both use the shared regexes file: https://github.com/ua-parser/uap-coreit that also needs updating

Tbayer rescinded a token.
Tbayer awarded a token.
Tbayer added a subscriber: Tbayer.
fdans moved this task from Next Up to In Progress on the Analytics-Kanban board.Apr 18 2018, 2:53 PM
Nuria changed the point value for this task from 8 to 13.Apr 25 2018, 11:15 PM

Change 429527 had a related patch set uploaded (by Nuria; owner: Nuria):
[analytics/ua-parser/uap-java@wmf] [WIP] UA parser specification changes for OS version

https://gerrit.wikimedia.org/r/429527

Thanks for working on this! As @Nuria points out in the task description, it looks important for data quality to keep this updated. Back in 2015 (T106134), @dr0ptp4kt suggested to automate these updates. Is that possible?

Once this task here is complete, we should update the documentation at https://wikitech.wikimedia.org/wiki/Analytics/Data_Lake/Traffic/Webrequest#Changes_and_known_problems_since_2015-03-04 and other suitable places with the deployment date, a link to a concrete diff between the old and new regexes, and the outcome of T193578: Assess impact of ua-parser update on core metrics.

Change 429527 merged by Nuria:
[analytics/ua-parser/uap-java@wmf] UA parser specification changes

https://gerrit.wikimedia.org/r/429527

Change 433617 had a related patch set uploaded (by Nuria; owner: Nuria):
[analytics/ua-parser/uap-java@wmf] Bumping up version for release

https://gerrit.wikimedia.org/r/433617

Change 433617 merged by Joal:
[analytics/ua-parser/uap-java@wmf] Bumping up version for release

https://gerrit.wikimedia.org/r/433617

fdans moved this task from In Progress to Done on the Analytics-Kanban board.May 21 2018, 9:01 PM
Nuria closed this task as Resolved.Jun 25 2018, 11:11 PM